Bug 1432619 - baloosearchrunner - zombie child - xdg-user-dir 100% CPU
Summary: baloosearchrunner - zombie child - xdg-user-dir 100% CPU
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 25
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged, Upstream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-15 19:37 UTC by Gerald Cox
Modified: 2017-04-25 21:35 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-04-25 02:24:34 UTC


Attachments (Terms of Use)
backtrace (58.99 KB, text/plain)
2017-03-15 19:37 UTC, Gerald Cox
no flags Details
krunner backtrace (45.09 KB, text/plain)
2017-03-16 19:01 UTC, Gerald Cox
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 377671 None None None 2017-03-16 02:49 UTC

Description Gerald Cox 2017-03-15 19:37:39 UTC
Created attachment 1263441 [details]
backtrace

Description of problem:
Plasmashell - zombie child - xdg-user-dir 100% CPU

ps axo stat,ppid,pid,comm | grep -w defunct
Z     2084  6679 xdg-user-dir <defunct>

ps -e | grep 2084
 2084 ?        00:27:57 plasmashell


Version-Release number of selected component (if applicable):

kf5-plasma-5.32.0-2.fc25.x86_64

How reproducible:
Not sure what triggers... I had just rebooted about an hour ago and it just happened.


Actual results:
plasmashell process uses 100% cpu - zombie process xdg-user-dir

Expected results:
No zombie, normal cpu utilization

Additional info:

Comment 1 Gerald Cox 2017-03-16 02:49:54 UTC
Created bug upstream

Comment 2 Rex Dieter 2017-03-16 13:05:14 UTC
This looks like the relevant thread:

Thread 19 (Thread 0x7fdc597fb700 (LWP 5719)):
#0  0x00007fdd5d0c5bed in read () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fdd5d04a7e0 in _IO_new_file_underflow (fp=0x7fdc3c031be0) at fileops.c:600
---Type <return> to continue, or q <return> to quit---
#2  0x00007fdd5d04ba62 in __GI__IO_default_uflow (fp=0x7fdc3c031be0) at genops.c:413
#3  0x00007fdd5d045b20 in _IO_getc (fp=0x7fdc3c031be0) at getc.c:38
#4  0x00007fdd5de29e63 in QFSFileEnginePrivate::nativeRead(char*, long long) (this=0x7fdc3c047460, data=0x7fdc597f6560 "/home/gbcox/Music\n\ns\n\nDOCUMENTS_DIR=\"$HOME/Documents\"\nXDG_MUSIC_DIR=\"$HOME/Music\"\nXDG_PICTURES_DIR=\"$HOME/Pictures\"\nXDG_VIDEOS_DIR=\"$HOME/Videos\"\n\177Y\334\177", len=16384) at io/qfsfileengine_unix.cpp:320
#5  0x00007fdd5ddd340f in QFileDevice::readData(char*, long long) (this=<optimized out>, data=0x7fdc597f6560 "/home/gbcox/Music\n\ns\n\nDOCUMENTS_DIR=\"$HOME/Documents\"\nXDG_MUSIC_DIR=\"$HOME/Music\"\nXDG_PICTURES_DIR=\"$HOME/Pictures\"\nXDG_VIDEOS_DIR=\"$HOME/Videos\"\n\177Y\334\177", len=16384) at io/qfiledevice.cpp:460
#6  0x00007fdd5ddd9d29 in QIODevice::read(char*, long long) (
    this=0x7fdc3c0132b0, data=data@entry=0x7fdc597f6560 "/home/gbcox/Music\n\ns\n\nDOCUMENTS_DIR=\"$HOME/Documents\"\nXDG_MUSIC_DIR=\"$HOME/Music\"\nXDG_PICTURES_DIR=\"$HOME/Pictures\"\nXDG_VIDEOS_DIR=\"$HOME/Videos\"\n\177Y\334\177", maxSize=maxSize@entry=16384) at io/qiodevice.cpp:1055
#7  0x00007fdd5dde80c3 in QTextStreamPrivate::fillReadBuffer(long long) (this=this@entry=0x7fdc3c01b880, maxBytes=maxBytes@entry=-1) at io/qtextstream.cpp:456
#8  0x00007fdd5dde8593 in QTextStreamPrivate::read(int) (this=0x7fdc3c01b880, maxlen=maxlen@entry=2147483647) at io/qtextstream.cpp:631
#9  0x00007fdd5dde9a10 in QTextStream::readAll() (this=this@entry=0x7fdc597fa6c0) at io/qtextstream.cpp:1655
#10 0x00007fdd5ec936d3 in KConfigPrivate::expandString(QString const&) (value=...) at /usr/src/debug/kconfig-5.32.0/src/core/kconfig.cpp:193
#11 0x00007fdd5ec9ece8 in KConfigGroup::readPathEntry(char const*, QString const&) const (this=<optimized out>, key=0x7fdc5aeae1c7 "folders", aDefault=...)
    at /usr/src/debug/kconfig-5.32.0/src/core/kconfiggroup.cpp:816
#12 0x00007fdd5eca191c in KConfigGroup::readPathEntry(char const*, QStringList const&) const (this=<optimized out>, key=<optimized out>, aDefault=...)
    at /usr/src/debug/kconfig-5.32.0/src/core/kconfiggroup.cpp:828
#13 0x00007fdc5aea2fa5 in Baloo::FileIndexerConfig::buildFolderCache() () at /lib64/libKF5Baloo.so.5
#14 0x00007fdc5aea365b in Baloo::FileIndexerConfig::forceConfigUpdate() () at /lib64/libKF5Baloo.so.5
#15 0x00007fdc5aea37b0 in Baloo::FileIndexerConfig::FileIndexerConfig(QObject*) () at /lib64/libKF5Baloo.so.5
#16 0x00007fdc5aea0a00 in Baloo::IndexerConfig::IndexerConfig() () at /lib64/libKF5Baloo.so.5
#17 0x00007fdc5b0c2184 in SearchRunner::match(Plasma::RunnerContext&, QString const&, QString const&) (this=this@entry=0x55b577ce36d0, context=..., type=..., category=...)
    at /usr/src/debug/plasma-workspace-5.9.3/runners/baloo/baloosearchrunner.cpp:94
#18 0x00007fdc5b0c3241 in SearchRunner::match(Plasma::RunnerContext&) (this=0x55b577ce36d0, context=...) at /usr/src/debug/plasma-workspace-5.9.3/runners/baloo/baloosearchrunner.cpp:177

Comment 3 Rex Dieter 2017-03-16 13:19:12 UTC
Thanks, added comments in upstream bug report.

Comment 4 Gerald Cox 2017-03-16 19:01 UTC
Created attachment 1263825 [details]
krunner backtrace

Problem just occurred again... this time with krunner taking all the cpu.

was about to clear issue by:
killall krunner; krunner

Comment 5 Fedora Update System 2017-04-21 11:40:29 UTC
kde-settings-25-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ae1d08bff

Comment 6 Fedora Update System 2017-04-21 11:50:05 UTC
kde-settings-25-6.fc25.1 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ae1d08bff

Comment 7 Fedora Update System 2017-04-21 11:50:30 UTC
kde-settings-26-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f53ee1a98

Comment 8 Fedora Update System 2017-04-23 17:19:42 UTC
kde-settings-25-6.fc25.1 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ae1d08bff

Comment 9 Fedora Update System 2017-04-23 20:22:53 UTC
kde-settings-26-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f53ee1a98

Comment 10 Fedora Update System 2017-04-25 02:24:34 UTC
kde-settings-25-6.fc25.1 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-04-25 21:35:06 UTC
kde-settings-26-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.